## libportal 0.3+git20200327

=== meson_options.txt ===
option('build-portal-test', type: 'boolean', value: false,
  description : 'Build the portal-test application')
option('gtk_doc', type: 'boolean', value: true,
  description : 'Build API reference with gtk-doc')

=== debian/changelog ===
libportal (0.3+git20200327-1) experimental; urgency=medium

  * New upstream snapshot
    - Drop patches, applied upstream
  * Explicitly build-depend on a suitable GLib version
  * Standards-Version: 4.5.0 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Mon, 30 Mar 2020 18:07:23 +0100

libportal (0.3-1) experimental; urgency=medium

  * New upstream development release
    - Bump minimum version for all symbols to 0.3 due to API/ABI breaks
  * d/p/Use-a-GNOME-background-to-test-setting-wallpaper.patch:
    Mark as forwarded upstream
  * d/p/Convert-some-debug-printfs-into-g_debug.patch:
    Use g_debug() for debug logging

 -- Simon McVittie <smcv@debian.org>  Fri, 20 Dec 2019 18:23:43 +0000

libportal (0.2-1) experimental; urgency=medium

  * Initial package (Closes: #946605)

 -- Simon McVittie <smcv@debian.org>  Mon, 16 Dec 2019 09:27:47 +0000

=== debian/control ===
Source: libportal
Section: libs
Priority: optional
Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
Uploaders:
 Simon McVittie <smcv@debian.org>,
Build-Depends:
 debhelper-compat (= 12),
 gtk-doc-tools,
 libglib2.0-dev (>= 2.58),
 libgstreamer-plugins-base1.0-dev <!noinsttest>,
 libgtk-3-dev <!noinsttest>,
 meson (>= 0.46.0),
 pkg-config,
Rules-Requires-Root: no
Standards-Version: 4.5.0
Homepage: https://github.com/flatpak/libportal
Vcs-Git: https://salsa.debian.org/debian/libportal.git
Vcs-Browser: https://salsa.debian.org/debian/libportal

Package: libportal-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 libglib2.0-dev (>= 2.58),
 libportal0 (= ${binary:Version}),
 pkg-config,
 ${misc:Depends},
Description: Flatpak portal library (development files)
 libportal provides GIO-style C APIs for most Flatpak portals' D-Bus
 interfaces. It is primarily intended for installation in Flatpak runtimes,
 where applications can use it to interact with portals; it can also be
 used to test the portal services.
 .
 See the xdg-desktop-portal package's description for more information
 about portals.
 .
 This package contains development headers and the pkg-config file.

Package: libportal-doc
Build-Profiles: <!nodoc>
Architecture: all
Multi-Arch: foreign
Section: doc
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
Description: Flatpak portal library (documentation)
 libportal provides GIO-style C APIs for most Flatpak portals' D-Bus
 interfaces. It is primarily intended for installation in Flatpak runtimes,
 where applications can use it to interact with portals; it can also be
 used to test the portal services.
 .
 See the xdg-desktop-portal package's description for more information
 about portals.
 .
 This package contains API documentation.

Package: libportal-tests
Build-Profiles: <!noinsttest>
Architecture: any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 gnome-backgrounds,
Description: Flatpak portal library (test program)
 libportal provides GIO-style C APIs for most Flatpak portals' D-Bus
 interfaces. It is primarily intended for installation in Flatpak runtimes,
 where applications can use it to interact with portals; it can also be
 used to test the portal services.
 .
 See the xdg-desktop-portal package's description for more information
 about portals.
 .
 This package contains the portal-test application, and will contain
 "as-installed" test programs if they are added.

Package: libportal0
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Flatpak portal library
 libportal provides GIO-style C APIs for most Flatpak portals' D-Bus
 interfaces. It is primarily intended for installation in Flatpak runtimes,
 where applications can use it to interact with portals; it can also be
 used to test the portal services.
 .
 See the xdg-desktop-portal package's description for more information
 about portals.
 .
 This package contains the shared library. Its ABI is not yet stable.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

built_binaries := $(shell dh_listpackages)

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs

export HOME=$(CURDIR)/debian/home
export XDG_RUNTIME_DIR=$(HOME)/run
unexport XDG_CACHE_HOME
unexport XDG_CONFIG_DIRS
unexport XDG_CONFIG_HOME
unexport XDG_DATA_DIRS
unexport XDG_DATA_HOME
export VERBOSE=1

meson_options =

ifeq ($(filter libportal-tests,$(built_binaries)),)
meson_options += -Dbuild-portal-test=false
else
meson_options += -Dbuild-portal-test=true
endif

%:
	dh $@

override_dh_auto_configure:
	mkdir -p debian/home/run
	chmod 0700 debian/home/run
	dh_auto_configure \
		-- \
		$(meson_options) \
		$(NULL)

override_dh_missing:
	dh_missing --fail-missing

## libportal 0.4

=== debian/changelog ===
libportal (0.4-1) experimental; urgency=medium

  * New upstream release
  * Standards-Version: 4.5.1 (no changes required)
  * Use debhelper compat level 13
    - Stop setting HOME etc., now done by default
    - Stop forcing dh_missing --fail-missing, now the default
  * libportal-doc: Add Lintian override for #970275
  * libportal-tests: Override a Lintian false-positive

 -- Simon McVittie <smcv@debian.org>  Fri, 09 Apr 2021 10:43:02 +0100

libportal (0.3+git20200925-1) experimental; urgency=medium

  * New upstream snapshot

 -- Simon McVittie <smcv@debian.org>  Thu, 01 Oct 2020 11:39:16 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders:
  Simon McVittie <smcv@debian.org>,
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  gtk-doc-tools,
  libglib2.0-dev (>= 2.58),
  libgstreamer-plugins-base1.0-dev <!noinsttest>,
@@ -13,7 +13,7 @@
  meson (>= 0.46.0),
  pkg-config,
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://github.com/flatpak/libportal
 Vcs-Git: https://salsa.debian.org/debian/libportal.git
 Vcs-Browser: https://salsa.debian.org/debian/libportal

## libportal 0.6

=== meson_options.txt ===
option('backends', type: 'array', choices: ['gtk3', 'gtk4', 'qt5'], value: ['gtk3', 'gtk4', 'qt5'],
  description : 'A list of portal backends to build')
option('portal-tests', type: 'boolean', value: false,
  description : 'Build portal tests of each backend')
option('introspection', type: 'boolean', value: true,
  description: 'Generate GObject introspection files')
option('vapi', type: 'boolean', value: true,
  description : 'Generate Vala bindings')
option('docs', type: 'boolean', value: true,
  description : 'Build API reference with gi-docgen')
option('tests', type: 'boolean', value: true,
  description : 'Build unit tests')

=== debian/changelog ===
libportal (0.6-4) unstable; urgency=medium

  * d/watch: Update for Github website changes
  * d/patches: Add various bug fixes from upstream git

 -- Simon McVittie <smcv@debian.org>  Sat, 12 Nov 2022 17:58:57 +0000

libportal (0.6-3) unstable; urgency=medium

  * Only build-depend on gjs for Architecture: all.
    This avoids becoming unbuildable on armel when gjs moves to mozjs102.
    We only need gjs if we are going to build libportal-tests-gtk4, which
    is Architecture: all anyway.
  * Standards-Version: 4.6.1 (no changes required)
  * Update Lintian overrides

 -- Simon McVittie <smcv@debian.org>  Wed, 31 Aug 2022 11:42:41 +0100

libportal (0.6-2) unstable; urgency=medium

  * Mark 2 Qt symbols as optional not seen during the Ubuntu 22.04 build

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 13 Apr 2022 19:10:53 -0400

libportal (0.6-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Use xvfb to run new build test
  * Add new symbols

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 13 Apr 2022 13:24:07 -0400

libportal (0.5-2) unstable; urgency=medium

  * Upload to unstable (starts transition: #1003085)

 -- Simon McVittie <smcv@debian.org>  Wed, 05 Jan 2022 10:31:42 +0000

libportal (0.5-1) experimental; urgency=medium

  * New upstream release
    - Update d/copyright for new licensing
    - Build documentation with gi-docgen instead of gtk-doc
    - Rename libportal0 to libportal1 for upstream SONAME bump
    - Add binary packages for GTK 3, GTK 4, Qt 5 integration, which is
      now in separate shared libraries instead of being inlined in
      header files
    - Add binary packages for GObject-Introspection bindings
    - Rename libportal-tests to libportal-tests-gtk3
    - Add libportal-tests-gtk4 which uses gjs and GTK 4
    - Add libportal-tests-qt5 which uses Qt

 -- Simon McVittie <smcv@debian.org>  Wed, 22 Dec 2021 21:05:32 +0000

libportal (0.4-2) unstable; urgency=medium

  * d/p/portal-helpers-Unref-correct-object.patch:
    Add patch from upstream to fix a potential crash or memory leak
  * Standards-Version: 4.6.0 (no changes required)
  * Release to unstable.
    An upstream maintainer confirmed that while this library is not
    completely API-stable, the SONAME will be incremented when
    incompatible changes are made in future.

 -- Simon McVittie <smcv@debian.org>  Tue, 21 Sep 2021 17:29:00 +0100

=== debian/control ===
Source: libportal
Section: libs
Priority: optional
Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
Uploaders:
 Simon McVittie <smcv@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-gir,
 libglib2.0-dev (>= 2.58),
 libgirepository1.0-dev,
 libgstreamer-plugins-base1.0-dev <!noinsttest>,
 libgtk-3-dev,
 libgtk-4-dev,
 libqt5x11extras5-dev <!pkg.libportal.noqt5>,
 meson (>= 0.49.0),
 pkg-config,
 qtbase5-dev <!pkg.libportal.noqt5>,
 valac,
 xauth <!nocheck>,
 xvfb <!nocheck>,
Build-Depends-Indep:
 gi-docgen <!nodoc>,
 gjs <!noinsttest>,
Rules-Requires-Root: no
Standards-Version: 4.6.1
Homepage: https://github.com/flatpak/libportal
Vcs-Git: https://salsa.debian.org/debian/libportal.git
Vcs-Browser: https://salsa.debian.org/debian/libportal

Package: gir1.2-xdp-1.0
Section: introspection
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${gir:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Description: Flatpak portal library - introspection data
 libportal provides GIO-style C APIs for most Flatpak portals' D-Bus
 interfaces. It is primarily intended for installation in Flatpak runtimes,
 where applications can use it to interact with portals; it can also be
 used to test the portal services.
 .
 See the xdg-desktop-portal package's description for more information
 about portals.
 .
 This package can be used by other packages using the GIRepository format
 to generate dynamic bindings.

Package: gir1.2-xdpgtk3-1.0
Section: introspection
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${gir:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Description: Flatpak portal library - introspection data for GTK 3
 libportal provides GIO-style C APIs for most Flatpak portals' D-Bus
 interfaces. It is primarily intended for installation in Flatpak runtimes,
 where applications can use it to interact with portals; it can also be
 used to test the portal services.
 .
 See the xdg-desktop-portal package's description for more information
 about portals.
 .
 This package can be used by other packages using the GIRepository format
 to generate dynamic bindings for GTK 3 integration.

Package: gir1.2-xdpgtk4-1.0
Section: introspection
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${gir:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Description: Flatpak portal library - introspection data for GTK 4
 libportal provides GIO-style C APIs for most Flatpak portals' D-Bus
 interfaces. It is primarily intended for installation in Flatpak runtimes,
 where applications can use it to interact with portals; it can also be
 used to test the portal services.
 .
 See the xdg-desktop-portal package's description for more information
 about portals.
 .
 This package can be used by other packages using the GIRepository format
 to generate dynamic bindings for GTK 4 integration.

Package: libportal-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 gir1.2-xdp-1.0 (= ${binary:Version}),
 libglib2.0-dev (>= 2.58),
 libportal1 (= ${binary:Version}),
 pkg-config,
 ${misc:Depends},
Description: Flatpak portal library (development files)
 libportal provides GIO-style C APIs for most Flatpak portals' D-Bus
 interfaces. It is primarily intended for installation in Flatpak runtimes,
 where applications can use it to interact with portals; it can also be
 used to test the portal services.
 .
 See the xdg-desktop-portal package's description for more information
 about portals.
 .
 This package contains development headers and the pkg-config file for
 the non-GUI-specific parts of libportal.

Package: libportal-doc
Build-Profiles: <!nodoc>
Architecture: all
Multi-Arch: foreign
Section: doc
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
Description: Flatpak portal library (documentation)
 libportal provides GIO-style C APIs for most Flatpak portals' D-Bus
 interfaces. It is primarily intended for installation in Flatpak runtimes,
 where applications can use it to interact with portals; it can also be
 used to test the portal services.
 .
 See the xdg-desktop-portal package's description for more information
 about portals.
 .
 This package contains API documentation.

Package: libportal-gtk3-1
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Flatpak portal library for GTK 3 GUIs
 libportal provides GIO-style C APIs for most Flatpak portals' D-Bus
 interfaces. It is primarily intended for installation in Flatpak runtimes,
 where applications can use it to interact with portals; it can also be
 used to test the portal services.
 .
 See the xdg-desktop-portal package's description for more information
 about portals.
 .
 This package contains the shared library for integration with GTK 3.

Package: libportal-gtk3-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 gir1.2-xdpgtk3-1.0 (= ${binary:Version}),
 libglib2.0-dev (>= 2.58),
 libgtk-3-dev,
 libportal-dev (= ${binary:Version}),
 libportal-gtk3-1 (= ${binary:Version}),
 pkg-config,
 ${misc:Depends},
Description: Flatpak portal library (development files for GTK 3)
 libportal provides GIO-style C APIs for most Flatpak portals' D-Bus
 interfaces. It is primarily intended for installation in Flatpak runtimes,
 where applications can use it to interact with portals; it can also be
 used to test the portal services.
 .
 See the xdg-desktop-portal package's description for more information
 about portals.
 .
 This package contains development headers and the pkg-config file for
 integration with GTK 3.

Package: libportal-gtk4-1
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Flatpak portal library for GTK 4 GUIs
 libportal provides GIO-style C APIs for most Flatpak portals' D-Bus
 interfaces. It is primarily intended for installation in Flatpak runtimes,
 where applications can use it to interact with portals; it can also be
 used to test the portal services.
 .
 See the xdg-desktop-portal package's description for more information
 about portals.
 .
 This package contains the shared library for integration with GTK 4.

Package: libportal-gtk4-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 gir1.2-xdpgtk4-1.0 (= ${binary:Version}),
 libglib2.0-dev (>= 2.58),
 libgtk-4-dev,
 libportal-dev (= ${binary:Version}),
 libportal-gtk4-1 (= ${binary:Version}),
 pkg-config,
 ${misc:Depends},
Description: Flatpak portal library (development files for GTK 4)
 libportal provides GIO-style C APIs for most Flatpak portals' D-Bus
 interfaces. It is primarily intended for installation in Flatpak runtimes,
 where applications can use it to interact with portals; it can also be
 used to test the portal services.
 .
 See the xdg-desktop-portal package's description for more information
 about portals.
 .
 This package contains development headers and the pkg-config file for
 integration with GTK 4.

Package: libportal-qt5-1
Build-Profiles: <!pkg.libportal.noqt5>
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Flatpak portal library for Qt 5 GUIs
 libportal provides GIO-style C APIs for most Flatpak portals' D-Bus
 interfaces. It is primarily intended for installation in Flatpak runtimes,
 where applications can use it to interact with portals; it can also be
 used to test the portal services.
 .
 See the xdg-desktop-portal package's description for more information
 about portals.
 .
 This package contains the shared library for integration with Qt 5.

Package: libportal-qt5-dev
Build-Profiles: <!pkg.libportal.noqt5>
Architecture: any
Multi-Arch: same
Section: libdevel
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 libportal-dev (= ${binary:Version}),
 libportal-qt5-1 (= ${binary:Version}),
 libqt5x11extras5-dev,
 pkg-config,
 qtbase5-dev,
 ${misc:Depends},
Description: Flatpak portal library (development files for Qt 5)
 libportal provides GIO-style C APIs for most Flatpak portals' D-Bus
 interfaces. It is primarily intended for installation in Flatpak runtimes,
 where applications can use it to interact with portals; it can also be
 used to test the portal services.
 .
 See the xdg-desktop-portal package's description for more information
 about portals.
 .
 This package contains development headers and the pkg-config file for
 integration with Qt 5.

Package: libportal-tests-gtk3
Build-Profiles: <!noinsttest>
Architecture: any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 gnome-backgrounds,
Description: Flatpak portal library (test program for GTK 3)
 libportal provides GIO-style C APIs for most Flatpak portals' D-Bus
 interfaces. It is primarily intended for installation in Flatpak runtimes,
 where applications can use it to interact with portals; it can also be
 used to test the portal services.
 .
 See the xdg-desktop-portal package's description for more information
 about portals.
 .
 This package contains the portal-test-gtk3 application, and will contain
 "as-installed" test programs if they are added.

Package: libportal-tests-gtk4
Build-Profiles: <!noinsttest>
Architecture: all
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 gir1.2-gdkpixbuf-2.0,
 gir1.2-gstreamer-1.0,
 gir1.2-gtk-4.0,
 gir1.2-pango-1.0,
 gir1.2-xdp-1.0,
 gir1.2-xdpgtk4-1.0,
 gjs,
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 gnome-backgrounds,
Description: Flatpak portal library (test program for GTK 4)
 libportal provides GIO-style C APIs for most Flatpak portals' D-Bus
 interfaces. It is primarily intended for installation in Flatpak runtimes,
 where applications can use it to interact with portals; it can also be
 used to test the portal services.
 .
 See the xdg-desktop-portal package's description for more information
 about portals.
 .
 This package contains the org.gnome.PortalTest.Gtk4 application, and
 will contain "as-installed" test programs if they are added.

Package: libportal-tests-qt5
Build-Profiles: <!noinsttest !pkg.libportal.noqt5>
Architecture: any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Flatpak portal library (test program for Qt)
 libportal provides GIO-style C APIs for most Flatpak portals' D-Bus
 interfaces. It is primarily intended for installation in Flatpak runtimes,
 where applications can use it to interact with portals; it can also be
 used to test the portal services.
 .
 See the xdg-desktop-portal package's description for more information
 about portals.
 .
 This package contains the portal-test-qt application, and will contain
 "as-installed" test programs if they are added.

Package: libportal1
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Flatpak portal library - non-GUI part
 libportal provides GIO-style C APIs for most Flatpak portals' D-Bus
 interfaces. It is primarily intended for installation in Flatpak runtimes,
 where applications can use it to interact with portals; it can also be
 used to test the portal services.
 .
 See the xdg-desktop-portal package's description for more information
 about portals.
 .
 This package contains the shared library for non-GUI-specific use of
 portals.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

built_binaries := $(shell dh_listpackages)

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
# https://qt-kde-team.pages.debian.net/packagingqtbasedstuff.html
export QT_SELECT=5

export VERBOSE=1

empty =
space = $(empty) $(empty)

meson_options =

backends = gtk3,gtk4

ifneq ($(filter libportal-qt5-dev,$(built_binaries)),)
backends += ,qt5
endif

meson_options += -Dbackends=$(subst $(space),,$(backends))

ifeq ($(filter libportal-doc,$(built_binaries)),)
meson_options += -Ddocs=false
else
meson_options += -Ddocs=true
endif

ifeq ($(filter libportal-tests-%,$(built_binaries)),)
meson_options += -Dportal-tests=false
else
meson_options += -Dportal-tests=true
endif

ifeq ($(filter libportal-tests-gtk4,$(built_binaries)),)
meson_options += --native-file=$(CURDIR)/debian/meson/no-gjs.ini
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure \
		-- \
		$(meson_options) \
		$(NULL)

override_dh_auto_test:
	xvfb-run -a dh_auto_test

## libportal 0.7.1

=== debian/changelog ===
libportal (0.7.1-5~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 02 Oct 2025 09:58:31 -0700

libportal (0.7.1-5) unstable; urgency=medium

  * Generate a vapigen wrapper that searches the appropriate ${libdir}.
    Ideally vapigen should have a solution to this, but at the moment it
    can't find GLib-2.0.gir without the compatibility symlink provided
    by libgirepository1.0-dev (#1060904).
    Generating our own wrapper like this also allows for
    cross-compilation, by using the build-architecture vapigen but
    telling it to look for GIR XML in the host architecture's library
    directory. This acts as a prototype of being able to generate Vala
    API descriptions during cross-compilation more generically.
  * d/control: Stop depending on libgirepository1.0-dev explicitly.
    Now that we can find GIR XML in /usr/lib/*/gir-1.0, we don't need
    the libgirepository1.0-dev metapackage, which is not and cannot
    be Multi-Arch: same (see #801672). Instead, we can take smaller
    parts of it: the gobject-introspection tools, and the GIR XML in
    gir1.2-glib-2.0-dev (which we already depended on).
    Until all of our build-dependencies add dependencies for the
    GIR XML that they depend on, we also need to build-depend on
    gir1.2-freedesktop-dev.
  * d/control, d/rules: Use cross g-ir-scanner to support cross-compiling.
    Ideally this would be automatic (#1060838), but it isn't. Accept an
    older version of gobject-introspection when not cross-compiling,
    to facilitate backports.
  * d/control: Build-Depend on Gio-2.0 by its systematic name
    gir1.2-gio-2.0-dev, a virtual package provided by gir1.2-glib-2.0-dev

 -- Simon McVittie <smcv@debian.org>  Wed, 17 Jan 2024 18:02:05 +0000

libportal (0.7.1-4) unstable; urgency=medium

  * d/p/pyportaltest-Only-create-one-session-bus-per-DBusTestCase.patch:
    Add patch to fix test failure with dbusmock >= 0.30.0 (Closes: #1058245)
  * Mark both patches as applied upstream
  * Don't fully rely on ${gir:Depends} for GIR XML's dependencies.
    A bug in current dh_girepository results in dependencies from GIR XML
    to a typelib not being generated as intended. Work around this by
    going back to hard-coding those dependencies.
  * d/control: Explicitly build-depend on gir1.2-gtk-3.0-dev
    (Helps: #1030223)
  * Revert "libportal*-dev: Install Xdp*.gir in multiarch library
    directories".
    We'll want vapigen to search these directories eventually, but there's
    a risk of breaking the build for packages like gnome-builder and
    gnome-contacts if we force this too soon.
  * Further steps towards being cross-compilable:
    - d/control: Explicitly build-depend on gir1.2-glib-2.0-dev
    - d/rules: Use d/meson/no-gjs.ini as a cross-file if cross-compiling
    - d/p/portal-test-gtk3-Don-t-provide-a-run-target-if-we-cannot-.patch:
      Add patch from upstream git to make portal-test build system
      cross-friendly
  * Upload to unstable

 -- Simon McVittie <smcv@debian.org>  Wed, 27 Dec 2023 16:05:18 +0000

libportal (0.7.1-3) experimental; urgency=medium

  * d/control: Use ${gir:Depends}, ${gir:Provides} for GIR XML and typelib
    dependencies
  * libportal*-dev: Install Xdp*.gir in multiarch library directories.
    This is unnecessary for this specific package (the GIR XML happens to
    be the same for all architectures), but it can be used as a test-case
    for whether parsers like the ones in gi-docgen and vala successfully
    find GIR XML in this location. (Helps: #1029957)
  * d/control: Explicitly build-depend on gir1.2-gtk-4.0-dev.
    This is a step towards being able to cross-compile with the
    GObject-Introspection parts omitted. (Helps: #1030223)

 -- Simon McVittie <smcv@debian.org>  Sat, 11 Nov 2023 16:16:53 +0000

libportal (0.7.1-2) unstable; urgency=medium

  * d/rules: Allow longer for build-time tests to run.
    I've used a 3x multiple here, rather than the 2x multiple suggested
    on #1051649, to provide more margin of error on slower buildds.
    Thanks to Aurelien Jarno (Closes: #1051649, maybe also #1051702)
  * d/rules: Don't let Xvfb reset during testing.
    Workaround for #981201.

 -- Simon McVittie <smcv@debian.org>  Fri, 15 Sep 2023 09:47:48 +0100

libportal (0.7.1-1) unstable; urgency=medium

  * New upstream bugfix release
    - Fix regression calling `g_object_new()` for an XdpPortal,
      which broke the GTK 4 test app in libportal-tests-gtk4
  * Release to unstable

 -- Simon McVittie <smcv@debian.org>  Sun, 10 Sep 2023 14:14:13 +0100

libportal (0.7-1) experimental; urgency=medium

  * New upstream release
  * d/control: Add build-dependencies for new Python/dbusmock-based tests
  * d/rules: Update build options for choice of backends
  * d/control, d/rules: Conditionalize all GUI libraries
  * d/gbp.conf: Change packaging branch to debian/latest
  * Drop all patches, applied upstream
  * d/libportal1.symbols: Update
  * Standards-Version: 4.6.2 (no changes required)
  * d/libportal-doc.doc-base: Register API reference with doc-base
  * Remove an unused Lintian override

 -- Simon McVittie <smcv@debian.org>  Thu, 07 Sep 2023 17:18:44 +0100

=== debian/control ===
Source: libportal
Section: libs
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
Uploaders: Simon McVittie <smcv@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-gir,
#               gir1.2-freedesktop-dev,
#               gir1.2-gio-2.0-dev,
#               gir1.2-gtk-3.0-dev <!pkg.libportal.nogtk3>,
#               gir1.2-gtk-4.0-dev <!pkg.libportal.nogtk4>,
               gobject-introspection,
               gobject-introspection (>= 1.78.1-9~) <cross>,
               libglib2.0-dev (>= 2.58),
               libgstreamer-plugins-base1.0-dev <!noinsttest>,
               libgtk-3-dev <!pkg.libportal.nogtk3>,
               libgtk-4-dev <!pkg.libportal.nogtk4>,
               libqt5x11extras5-dev <!pkg.libportal.noqt5>,
# Add libunwind for MX 23 build
               libunwind-dev,
               meson (>= 0.49.0),
               pkg-config,
               python3-dbus <!nocheck>,
               python3-dbusmock <!nocheck>,
               python3-pytest <!nocheck>,
               qtbase5-dev <!pkg.libportal.noqt5>,
               valac:native,
               xauth <!nocheck>,
               xvfb <!nocheck>
Build-Depends-Indep: gi-docgen <!nodoc>, gjs <!noinsttest>
Rules-Requires-Root: no
Standards-Version: 4.6.2
Homepage: https://github.com/flatpak/libportal
Vcs-Git: https://salsa.debian.org/debian/libportal.git
Vcs-Browser: https://salsa.debian.org/debian/libportal

Package: gir1.2-xdp-1.0
Section: introspection
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${gir:Depends}, ${misc:Depends}, ${shlibs:Depends}
Provides: ${gir:Provides}
Description: Flatpak portal library - introspection data
 libportal provides GIO-style C APIs for most Flatpak portals' D-Bus
 interfaces. It is primarily intended for installation in Flatpak runtimes,
 where applications can use it to interact with portals; it can also be
 used to test the portal services.
 .
 See the xdg-desktop-portal package's description for more information
 about portals.
 .
 This package can be used by other packages using the GIRepository format
 to generate dynamic bindings.

Package: gir1.2-xdpgtk3-1.0
Build-Profiles: <!pkg.libportal.nogtk3>
Section: introspection
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${gir:Depends}, ${misc:Depends}, ${shlibs:Depends}
Provides: ${gir:Provides}
Description: Flatpak portal library - introspection data for GTK 3
 libportal provides GIO-style C APIs for most Flatpak portals' D-Bus
 interfaces. It is primarily intended for installation in Flatpak runtimes,
 where applications can use it to interact with portals; it can also be
 used to test the portal services.
 .
 See the xdg-desktop-portal package's description for more information
 about portals.
 .
 This package can be used by other packages using the GIRepository format
 to generate dynamic bindings for GTK 3 integration.

Package: gir1.2-xdpgtk4-1.0
Build-Profiles: <!pkg.libportal.nogtk4>
Section: introspection
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${gir:Depends}, ${misc:Depends}, ${shlibs:Depends}
Provides: ${gir:Provides}
Description: Flatpak portal library - introspection data for GTK 4
 libportal provides GIO-style C APIs for most Flatpak portals' D-Bus
 interfaces. It is primarily intended for installation in Flatpak runtimes,
 where applications can use it to interact with portals; it can also be
 used to test the portal services.
 .
 See the xdg-desktop-portal package's description for more information
 about portals.
 .
 This package can be used by other packages using the GIRepository format
 to generate dynamic bindings for GTK 4 integration.

Package: libportal-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Pre-Depends: ${misc:Pre-Depends}
Depends: gir1.2-xdp-1.0 (= ${binary:Version}),
         libglib2.0-dev (>= 2.58),
         libportal1 (= ${binary:Version}),
         pkg-config,
         ${gir:Depends},
         ${misc:Depends}
Provides: ${gir:Provides}
Description: Flatpak portal library (development files)
 libportal provides GIO-style C APIs for most Flatpak portals' D-Bus
 interfaces. It is primarily intended for installation in Flatpak runtimes,
 where applications can use it to interact with portals; it can also be
 used to test the portal services.
 .
 See the xdg-desktop-portal package's description for more information
 about portals.
 .
 This package contains development headers and the pkg-config file for
 the non-GUI-specific parts of libportal.

Package: libportal-doc
Build-Profiles: <!nodoc>
Architecture: all
Multi-Arch: foreign
Section: doc
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}
Description: Flatpak portal library (documentation)
 libportal provides GIO-style C APIs for most Flatpak portals' D-Bus
 interfaces. It is primarily intended for installation in Flatpak runtimes,
 where applications can use it to interact with portals; it can also be
 used to test the portal services.
 .
 See the xdg-desktop-portal package's description for more information
 about portals.
 .
 This package contains API documentation.

Package: libportal-gtk3-1
Build-Profiles: <!pkg.libportal.nogtk3>
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Flatpak portal library for GTK 3 GUIs
 libportal provides GIO-style C APIs for most Flatpak portals' D-Bus
 interfaces. It is primarily intended for installation in Flatpak runtimes,
 where applications can use it to interact with portals; it can also be
 used to test the portal services.
 .
 See the xdg-desktop-portal package's description for more information
 about portals.
 .
 This package contains the shared library for integration with GTK 3.

Package: libportal-gtk3-dev
Build-Profiles: <!pkg.libportal.nogtk3>
Architecture: any
Multi-Arch: same
Section: libdevel
Pre-Depends: ${misc:Pre-Depends}
Depends: gir1.2-xdpgtk3-1.0 (= ${binary:Version}),
         libglib2.0-dev (>= 2.58),
         libgtk-3-dev,
         libportal-dev (= ${binary:Version}),
         libportal-gtk3-1 (= ${binary:Version}),
         pkg-config,
         ${gir:Depends},
         ${misc:Depends}
Provides: ${gir:Provides}
Description: Flatpak portal library (development files for GTK 3)
 libportal provides GIO-style C APIs for most Flatpak portals' D-Bus
 interfaces. It is primarily intended for installation in Flatpak runtimes,
 where applications can use it to interact with portals; it can also be
 used to test the portal services.
 .
 See the xdg-desktop-portal package's description for more information
 about portals.
 .
 This package contains development headers and the pkg-config file for
 integration with GTK 3.

Package: libportal-gtk4-1
Build-Profiles: <!pkg.libportal.nogtk4>
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Flatpak portal library for GTK 4 GUIs
 libportal provides GIO-style C APIs for most Flatpak portals' D-Bus
 interfaces. It is primarily intended for installation in Flatpak runtimes,
 where applications can use it to interact with portals; it can also be
 used to test the portal services.
 .
 See the xdg-desktop-portal package's description for more information
 about portals.
 .
 This package contains the shared library for integration with GTK 4.

Package: libportal-gtk4-dev
Build-Profiles: <!pkg.libportal.nogtk4>
Architecture: any
Multi-Arch: same
Section: libdevel
Pre-Depends: ${misc:Pre-Depends}
Depends: gir1.2-xdpgtk4-1.0 (= ${binary:Version}),
         libglib2.0-dev (>= 2.58),
         libgtk-4-dev,
         libportal-dev (= ${binary:Version}),
         libportal-gtk4-1 (= ${binary:Version}),
         pkg-config,
         ${gir:Depends},
         ${misc:Depends}
Provides: ${gir:Provides}
Description: Flatpak portal library (development files for GTK 4)
 libportal provides GIO-style C APIs for most Flatpak portals' D-Bus
 interfaces. It is primarily intended for installation in Flatpak runtimes,
 where applications can use it to interact with portals; it can also be
 used to test the portal services.
 .
 See the xdg-desktop-portal package's description for more information
 about portals.
 .
 This package contains development headers and the pkg-config file for
 integration with GTK 4.

Package: libportal-qt5-1
Build-Profiles: <!pkg.libportal.noqt5>
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Flatpak portal library for Qt 5 GUIs
 libportal provides GIO-style C APIs for most Flatpak portals' D-Bus
 interfaces. It is primarily intended for installation in Flatpak runtimes,
 where applications can use it to interact with portals; it can also be
 used to test the portal services.
 .
 See the xdg-desktop-portal package's description for more information
 about portals.
 .
 This package contains the shared library for integration with Qt 5.

Package: libportal-qt5-dev
Build-Profiles: <!pkg.libportal.noqt5>
Architecture: any
Multi-Arch: same
Section: libdevel
Pre-Depends: ${misc:Pre-Depends}
Depends: libportal-dev (= ${binary:Version}),
         libportal-qt5-1 (= ${binary:Version}),
         libqt5x11extras5-dev,
         pkg-config,
         qtbase5-dev,
         ${misc:Depends}
Description: Flatpak portal library (development files for Qt 5)
 libportal provides GIO-style C APIs for most Flatpak portals' D-Bus
 interfaces. It is primarily intended for installation in Flatpak runtimes,
 where applications can use it to interact with portals; it can also be
 used to test the portal services.
 .
 See the xdg-desktop-portal package's description for more information
 about portals.
 .
 This package contains development headers and the pkg-config file for
 integration with Qt 5.

Package: libportal-tests-gtk3
Build-Profiles: <!noinsttest !pkg.libportal.nogtk3>
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: gnome-backgrounds
Description: Flatpak portal library (test program for GTK 3)
 libportal provides GIO-style C APIs for most Flatpak portals' D-Bus
 interfaces. It is primarily intended for installation in Flatpak runtimes,
 where applications can use it to interact with portals; it can also be
 used to test the portal services.
 .
 See the xdg-desktop-portal package's description for more information
 about portals.
 .
 This package contains the portal-test-gtk3 application, and will contain
 "as-installed" test programs if they are added.

Package: libportal-tests-gtk4
Build-Profiles: <!noinsttest !pkg.libportal.nogtk4>
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: gir1.2-gdkpixbuf-2.0,
         gir1.2-gstreamer-1.0,
         gir1.2-gtk-4.0,
         gir1.2-pango-1.0,
         gir1.2-xdp-1.0,
         gir1.2-xdpgtk4-1.0,
         gjs,
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: gnome-backgrounds
Description: Flatpak portal library (test program for GTK 4)
 libportal provides GIO-style C APIs for most Flatpak portals' D-Bus
 interfaces. It is primarily intended for installation in Flatpak runtimes,
 where applications can use it to interact with portals; it can also be
 used to test the portal services.
 .
 See the xdg-desktop-portal package's description for more information
 about portals.
 .
 This package contains the org.gnome.PortalTest.Gtk4 application, and
 will contain "as-installed" test programs if they are added.

Package: libportal-tests-qt5
Build-Profiles: <!noinsttest !pkg.libportal.noqt5>
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Flatpak portal library (test program for Qt)
 libportal provides GIO-style C APIs for most Flatpak portals' D-Bus

=== debian/rules ===
--- 
+++ 
@@ -11,18 +11,32 @@
 
 export VERBOSE=1
 
-empty =
-space = $(empty) $(empty)
-
 meson_options =
 
-backends = gtk3,gtk4
-
-ifneq ($(filter libportal-qt5-dev,$(built_binaries)),)
-backends += ,qt5
+ifeq ($(DEB_HOST_ARCH),$(DEB_BUILD_ARCH))
+native_or_cross = native
+else
+native_or_cross = cross
+meson_options += --cross-file=$(DEB_HOST_GNU_TYPE)-gobject-introspection.ini
 endif
 
-meson_options += -Dbackends=$(subst $(space),,$(backends))
+ifneq ($(filter libportal-gtk3-% libportal-%-gtk3,$(built_binaries)),)
+meson_options += -Dbackend-gtk3=enabled
+else
+meson_options += -Dbackend-gtk3=disabled
+endif
+
+ifneq ($(filter libportal-gtk4-dev libportal-%-gtk4,$(built_binaries)),)
+meson_options += -Dbackend-gtk4=enabled
+else
+meson_options += -Dbackend-gtk4=disabled
+endif
+
+ifneq ($(filter libportal-qt5-dev libportal-%-qt5,$(built_binaries)),)
+meson_options += -Dbackend-qt5=enabled
+else
+meson_options += -Dbackend-qt5=disabled
+endif
 
 ifeq ($(filter libportal-doc,$(built_binaries)),)
 meson_options += -Ddocs=false
@@ -36,18 +50,36 @@
 meson_options += -Dportal-tests=true
 endif
 
+meson_options += --$(native_or_cross)-file=$(CURDIR)/debian/meson/vapigen.ini
+
 ifeq ($(filter libportal-tests-gtk4,$(built_binaries)),)
-meson_options += --native-file=$(CURDIR)/debian/meson/no-gjs.ini
+meson_options += --$(native_or_cross)-file=$(CURDIR)/debian/meson/no-gjs.ini
 endif
+
+test_timeout_multiplier = 3
+meson_test_options = --timeout-multiplier $(test_timeout_multiplier)
 
 %:
 	dh $@
 
 override_dh_auto_configure:
+	sed \
+		-e 's|@bindir@|$(CURDIR)/debian|g' \
+		-e 's|@DEB_HOST_GNU_TYPE@|$(DEB_HOST_GNU_TYPE)|g' \
+		< debian/meson/vapigen.ini.in > debian/meson/vapigen.ini
+	sed \
+		-e 's|@DEB_HOST_MULTIARCH@|$(DEB_HOST_MULTIARCH)|g' \
+		< debian/vapigen.in > debian/$(DEB_HOST_GNU_TYPE)-vapigen
+	chmod 0755 debian/$(DEB_HOST_GNU_TYPE)-vapigen
 	dh_auto_configure \
 		-- \
 		$(meson_options) \
 		$(NULL)
 
 override_dh_auto_test:
-	xvfb-run -a dh_auto_test
+	xvfb-run -a -s "-noreset" dh_auto_test -- $(meson_test_options)
+
+# No dbgsym packages:
+override_dh_strip:
+	@echo "NO--THANKS ANYWAY--but not building dbgsym packages for MX Linux"
+	dh_strip --no-automatic-dbgsym

=== debian/tests/control ===
Tests: libportal-dev
Restrictions: superficial
Depends: build-essential, dbus, libportal-dev

Tests: libportal-gtk3-dev
Restrictions: superficial
Depends: build-essential, dbus, libportal-gtk3-dev, xauth, xvfb

Tests: libportal-gtk4-dev
Restrictions: superficial
Depends: build-essential, dbus, libportal-gtk4-dev, xauth, xvfb

Tests: libportal-qt5-dev
Restrictions: superficial
Depends: build-essential, dbus, libportal-qt5-dev, xauth, xvfb
